## org.eclipse.uml2.uml.ecore.importer
Class UMLImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication
          org.eclipse.uml2.uml.ecore.importer.UMLImporterApplication

All Implemented Interfaces:
  org.eclipse.equinox.app.IApplication

    public class UMLImporterApplication

extends org.eclipse.emf.importer.ModelImporterApplication

Nested Class Summary
`static class` `UMLImporterApplication.PackageInfo`

Field Summary
`protected boolean` `cacheAdapterSupport`
`protected boolean` `factoryMethods`
`protected java.util.Map<java.lang.String,java.lang.String>` `importerOptions`
`protected java.lang.String` `invariantPrefix`
`protected java.util.Map<java.lang.String,UMLImporterApplication.PackageInfo>` `nameToPackageInfo`
`protected boolean` `pluralizeGetters`
`protected boolean` `safeStrings`

Fields inherited from class org.eclipse.emf.importer.ModelImporterApplication
`copyright, editFragmentPath, editorFragmentPath, editorProjectLocationPath, editProjectLocationPath, genJDKLevel, genModelFullPath, modelFragmentPath, modelImporter, modelLocations, modelPluginID, modelProjectLocationPath, NL, quiet, referencedEPackages, referencedGenModelURIToEPackageNSURIs, reload, sdo, templatePath, testsFragmentPath, testsProjectLocationPath, validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`UMLImporterApplication()`

Method Summary
`protected void` `adjustEPackages(org.eclipse.emf.common.util.Monitor monitor)`
`protected void` `adjustGenModel(org.eclipse.emf.common.util.Monitor monitor)`
`protected void` `adjustModelImporter(org.eclipse.emf.common.util.Monitor monitor)`
`protected org.eclipse.emf.importer.ModelImporter` `createModelImporter()`
`UMLImporter` `getUMLImporter()`
`protected java.lang.StringBuffer` `getUsage()`
`protected boolean` `isImporterOption(java.lang.String key)`
`protected int` `processArgument(java.lang.String[] arguments, int index)`
`protected int` `processPackageInformation(java.lang.String[] arguments, int index, java.util.Map<java.lang.String,UMLImporterApplication.PackageInfo> nameToPackageInfo)`
`protected void` `traverseEPackages(java.util.List<org.eclipse.emf.ecore.EPackage> ePackages)`

Methods inherited from class org.eclipse.emf.importer.ModelImporterApplication

`adjustAttributes, adjustModelImporterAfterPrepare, appendLine, computeEPackages, doExecute, execute, getModelImporter, getProgressMonitor, handleEPackage, handleGenModelPath, handleQualifiedEPackageName, handleReferencedEPackages, handleUnrecognizedArgument, printUsage, processArguments, processModelAndGenModelLocationArguments, processModelProjectArguments, run, run, run, setSDODefaults, start, stop, usePlatformURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pluralizeGetters

    protected boolean pluralizeGetters

### safeStrings

    protected boolean safeStrings

### cacheAdapterSupport

    protected boolean cacheAdapterSupport

### factoryMethods

    protected boolean factoryMethods

### invariantPrefix

    protected java.lang.String invariantPrefix

### nameToPackageInfo

    protected java.util.Map<java.lang.String,UMLImporterApplication.PackageInfo> nameToPackageInfo

### importerOptions

    protected java.util.Map<java.lang.String,java.lang.String> importerOptions

Constructor Detail

### UMLImporterApplication

    public UMLImporterApplication()

Method Detail

### getUMLImporter

    public UMLImporter getUMLImporter()

### createModelImporter

    protected org.eclipse.emf.importer.ModelImporter createModelImporter()

  Specified by:
    `createModelImporter` in class `org.eclipse.emf.importer.ModelImporterApplication`

### getUsage

    protected java.lang.StringBuffer getUsage()

  Specified by:
    `getUsage` in class `org.eclipse.emf.importer.ModelImporterApplication`

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

  Overrides:
    `processArgument` in class `org.eclipse.emf.importer.ModelImporterApplication`

### isImporterOption

    protected boolean isImporterOption(java.lang.String key)

### processPackageInformation

    protected int processPackageInformation(java.lang.String[] arguments,
                                            int index,
                                            java.util.Map<java.lang.String,UMLImporterApplication.PackageInfo> nameToPackageInfo)

### adjustModelImporter

    protected void adjustModelImporter(org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `adjustModelImporter` in class `org.eclipse.emf.importer.ModelImporterApplication`

### adjustGenModel

    protected void adjustGenModel(org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `adjustGenModel` in class `org.eclipse.emf.importer.ModelImporterApplication`

### adjustEPackages

    protected void adjustEPackages(org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `adjustEPackages` in class `org.eclipse.emf.importer.ModelImporterApplication`

### traverseEPackages

    protected void traverseEPackages(java.util.List<org.eclipse.emf.ecore.EPackage> ePackages)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.